field_indirect< T, M >

## Classes

class | const_iterator
class | iterator

## Public Types

typedef field_basic< T, M >::size_type | size_type
typedef T | value_type
typedef M | memory_type
typedef scalar_traits< value_type >::type | scalar_type
typedef float_traits< scalar_type >::type | float_type

## Public Member Functions

| field_indirect (field_basic< T, M > &uh, const geo_basic< T, M > &dom)
| field_indirect (field_component< T, M > &uh, const geo_basic< T, M > &dom)
field_indirect< T, M > & | operator= (const T &alpha)
template<class Expr , class Sfinae = typename std::enable_if< details::is_field_expr_affine_homogeneous<Expr>::value && ! details::is_field_expr_v2_constant <Expr>::value >::type>
field_indirect< T, M > & | operator= (const Expr &)
field_indirect< T, M > & | operator= (const field_indirect< T, M > &expr)
const distributor & | ownership () const
const communicator & | comm () const
size_type | ndof () const
size_type | dis_ndof () const
std::string | name () const
const space_basic< T, M > & | get_space () const
bool | have_homogeneous_space (space_basic< T, M > &Xh) const
T & | dof (size_type idof)
const T & | dof (size_type idof) const
iterator | begin_dof ()
iterator | end_dof ()
const_iterator | begin_dof () const
const_iterator | end_dof () const

## Static Protected Member Functions

static std::string | _name_internal (const space_basic< T, M > &V, const geo_basic< T, M > &dom)

## Protected Attributes

space_basic< T, M > | _V
space_basic< T, M > | _W
geo_basic< T, M > | _dom
disarray< size_type, M > | _indirect
field_basic< T, M >::iterator | _val

## Detailed Description

### template<class T, class M = rheo_default_memory_model>
class rheolef::field_indirect< T, M >

Definition at line 204 of file field.h.

## Member Typedef Documentation

## size_type

typedef field_basic<T,M>::size_type size_type

Definition at line 43 of file field_indirect.h.

## value_type

typedef T value_type

Definition at line 44 of file field_indirect.h.

## memory_type

typedef M memory_type

Definition at line 45 of file field_indirect.h.

## scalar_type

typedef scalar_traits<value_type>::type scalar_type

Definition at line 46 of file field_indirect.h.

## float_type

typedef float_traits<scalar_type>::type float_type

Definition at line 47 of file field_indirect.h.

## Constructor & Destructor Documentation

## field_indirect() [1/2]

field_indirect | ( | field_basic< T, M > & | uh,
|  | const geo_basic< T, M > & | dom
| ) |  |

Definition at line 53 of file field_indirect.h.

## field_indirect() [2/2]

field_indirect | ( | field_component< T, M > & | uh,
|  | const geo_basic< T, M > & | dom
| ) |  |

Definition at line 351 of file field_component.h.

## Member Function Documentation

## operator=() [1/3]

field_indirect< T, M > & operator= | ( | const T & | alpha | ) |

Definition at line 131 of file field_indirect.h.

## operator=() [2/3]

field_indirect< T, M > & operator= | ( | const Expr & | expr | ) |

Definition at line 115 of file field_expr.h.

## operator=() [3/3]

field_indirect<T,M>& operator= | ( | const field_indirect< T, M > & | expr | ) |

Definition at line 96 of file field_indirect.h.

## ownership()

const distributor& ownership | ( |  | ) | const

Definition at line 102 of file field_indirect.h.

## comm()

const communicator& comm | ( |  | ) | const

Definition at line 103 of file field_indirect.h.

## ndof()

size_type ndof | ( |  | ) | const

Definition at line 104 of file field_indirect.h.

## dis_ndof()

size_type dis_ndof | ( |  | ) | const

Definition at line 105 of file field_indirect.h.

## name()

std::string name

Definition at line 139 of file field_indirect.h.

## get_space()

const space_basic<T,M>& get_space | ( |  | ) | const

Definition at line 107 of file field_indirect.h.

## have_homogeneous_space()

bool have_homogeneous_space | ( | space_basic< T, M > & | Xh | ) | const

Definition at line 108 of file field_indirect.h.

## dof() [1/2]

T& dof | ( | size_type | idof | ) |

Definition at line 109 of file field_indirect.h.

## dof() [2/2]

const T& dof | ( | size_type | idof | ) | const

Definition at line 110 of file field_indirect.h.

## begin_dof() [1/2]

field_indirect< T, M >::const_iterator begin_dof

Definition at line 205 of file field_indirect.h.

## end_dof() [1/2]

field_indirect< T, M >::const_iterator end_dof

Definition at line 212 of file field_indirect.h.

## begin_dof() [2/2]

const_iterator begin_dof | ( |  | ) | const

## end_dof() [2/2]

const_iterator end_dof | ( |  | ) | const

## _name_internal()

std::string _name_internal | ( | const space_basic< T, M > & | V,
|  | const geo_basic< T, M > & | dom
| ) |  |

static protected

Definition at line 145 of file field_indirect.h.

## Member Data Documentation

## _V

space_basic<T,M> _V

protected

Definition at line 121 of file field_indirect.h.

## _W

space_basic<T,M> _W

protected

Definition at line 122 of file field_indirect.h.

## _dom

geo_basic<T,M> _dom

protected

Definition at line 123 of file field_indirect.h.

## _indirect

disarray<size_type,M> _indirect

protected

Definition at line 124 of file field_indirect.h.

## _val

field_basic<T,M>::iterator _val

protected

Definition at line 125 of file field_indirect.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_indirect.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_component.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr.h